//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once

#include "objectex.h"

struct SSound;

void InitSounds();

SSound* PlayButtonSound();

struct SSoundHolder : SObjectEx
{
	SSoundHolder()
	{
		type = soundholder_type;
		dead = false;
	}
	SObject* target_object;
	SSound* sound;
	virtual int Handle();
};

SSoundHolder* CreateRocketFireSound(SObjectEx* parent, SObject* target_object);
SSoundHolder* CreatePlasmaFireSound(SObjectEx* parent, SObject* target_object);
SSoundHolder* CreateExplosionSound(SObjectEx* parent, SObject* target_object);
SSoundHolder* CreateBeamFireSound(SObjectEx* parent, SObject* target_object);
